org.apache.ignite.internal.processors.platform

## Class PlatformIgnition

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformIgnition

    public class PlatformIgnition
    extends Object

Entry point for platform nodes.

### Method Summary

Methods
`static long` `environmentPointer(String gridName)` Get environment pointer of the given instance.
`static PlatformProcessor` `instance(String gridName)` Get instance by environment pointer.
`static PlatformProcessor` `start(String springCfgPath, String gridName, int factoryId, long envPtr, long dataPtr)` Start Ignite node in platform mode.
`static boolean` `stop(String gridName, boolean cancel)` Stop single instance.
`static void` `stopAll(boolean cancel)` Stop all instances.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### start

    public static PlatformProcessor start(@Nullable
                          String springCfgPath,
                          @Nullable
                          String gridName,
                          int factoryId,
                          long envPtr,
                          long dataPtr)

Start Ignite node in platform mode.

Parameters:
  `springCfgPath` - Spring configuration path.
  `gridName` - Grid name.
  `factoryId` - Factory ID.
  `envPtr` - Environment pointer.
  `dataPtr` - Optional pointer to additional data required for startup.
Returns:
  Ignite instance.

#### instance

    @Nullable
    public static PlatformProcessor instance(@Nullable
                                      String gridName)

Get instance by environment pointer.

Parameters:
  `gridName` - Grid name.
Returns:
  Instance or `null` if it doesn't exist (never started or stopped).

#### environmentPointer

    public static long environmentPointer(@Nullable
                          String gridName)

Get environment pointer of the given instance.

Parameters:
  `gridName` - Grid name.
Returns:
  Environment pointer or `0` in case grid with such name doesn't exist.

#### stop

    public static boolean stop(@Nullable
               String gridName,
               boolean cancel)

Stop single instance.

Parameters:
  `gridName` - Grid name,
  `cancel` - Cancel flag.
Returns:
  `True` if instance was found and stopped.

#### stopAll

    public static void stopAll(boolean cancel)

Stop all instances.

Parameters:
  `cancel` - Cancel flag.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017